# 80. Sorgu: Orijinal Veriyi Al

"SoilDataset", "YieldDataset", "AsAppliedDataset" yüklenen orijinal verisinin kopyasını almak için sorgu.

{% hint style="danger" %}
Sadece tek bir veri kümesi alınması önerilir  `originDataUrl` istek başına.&#x20;
{% endhint %}

`GEOTIFF` ve `GEOJSON` olarak kullanılabilir `formatlar`. Ancak **yalnızca** `GEOJSON` şimdi desteklenmektedir.

{% hint style="danger" %}
`originDataUrl` link yalnızca erişilebilir **60 sn.**
{% endhint %}

### 1. SoilDataset için örnek

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 2. YieldDataset için örnek

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 3. AsAppliedDataset için örnek

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 4. Oluşturulan dosyayı indir

Dosya başarıyla hazırlandıktan sonra, şu komut kullanılarak indirilebilir `curl` veya benzeri bir yaklaşımla.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<originDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/80.-sorgu-orijinal-veriyi-al.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
